name: grid_screener
channels:
  - defaults
  - pytorch
  - nvidia
  - conda-forge
  - anaconda
dependencies:
  - python==3.8.5
  - pip==22.0.4
  - numpy==1.21.4
  - pandas==1.3.4
  - opencv==4.5.3
  - scikit-image==0.19.2
  - scikit-learn==1.0.1
  - scipy==1.7.1
  - pyqt==5.12.3
  - pytorch==1.10.0
  - torchmetrics==0.6.1
  - torchvision==0.11.1
  - cudatoolkit==11.3.1
  - imagecodecs==2022.2.22
  - albumentations==0.5.2
  - matplotlib==3.5.1
  - cudnn
  - pip:
    - imgaug==0.4.0
    - pyqtgraph==0.11.0rc0
    - pytorch-lightning==1.4.9
    - pytorch-lightning-bolts==0.3.2
    - slidingwindow==0.0.14
    - wandb==0.12.6
    - onnxruntime
    - onnxruntime-gpu
    - protobuf==3.20.3
    - git+https://git.scc.kit.edu/sc1357/kaida.git
    - -e .
